import request from '@/utils/request'

// 查询市场法规清单列表
export function listList(query) {
  return request({
    url: '/control/marketRegulations/list',
    method: 'get',
    params: query
  })
}

// 查询市场法规清单详细
export function getDataList(id) {
  return request({
    url: '/control/marketRegulations/' + id,
    method: 'get'
  })
}

// 新增市场法规清单
export function addList(data) {
  return request({
    url: '/control/marketRegulations',
    method: 'post',
    data: data
  })
}

// 修改市场法规清单
export function updateList(data) {
  return request({
    url: '/control/marketRegulations',
    method: 'put',
    data: data
  })
}

// 删除市场法规清单
export function delList(id) {
  return request({
    url: '/control/marketRegulations/' + id,
    method: 'delete'
  })
}


// 根据id查看详情里面的市场法规清单
export function detailList(data) {
  return request({
    url: '/control/marketRegulations/detailList',
    method: 'get',
    params:data
  })
}
